Tp::BaseChannelTextType Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | List of all members
Tp::BaseChannelTextType Class Reference
Connection manager service implementation

Base class for implementations of Channel.Type.Text. More...

`#include <TelepathyQt/BaseChannel>`

Inherits Tp::AbstractChannelInterface.

## Public Types
typedef Callback2 < QDBusObjectPath, const QVariantMap &, DBusError * > | CreateChannelCallback
typedef Callback2< bool, const QVariantMap &, DBusError * > | EnsureChannelCallback
typedef Callback1< void, QString > | MessageAcknowledgedCallback

## Public Member Functions
virtual | ~BaseChannelTextType ()
QVariantMap | immutableProperties () const
void | setMessageAcknowledgedCallback (const MessageAcknowledgedCallback &cb)
Tp::MessagePartListList | pendingMessages ()
void | addReceivedMessage (const Tp::MessagePartList &message)
Public Member Functions inherited from Tp::AbstractChannelInterface
| AbstractChannelInterface (const QString &interfaceName)
virtual | ~AbstractChannelInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions
static BaseChannelTextTypePtr | create (BaseChannel *channel)
template<typename BaseChannelTextTypeSubclass >
static SharedPtr < BaseChannelTextTypeSubclass > | create (BaseChannel *channel)

## Public Attributes
CreateChannelCallback | createChannel
EnsureChannelCallback | ensureChannel
Tp::RequestableChannelClassList | requestableChannelClasses

## Protected Member Functions
| BaseChannelTextType (BaseChannel *channel)
void | acknowledgePendingMessages (const Tp::UIntList &IDs, DBusError *error)
Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Additional Inherited Members
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)

## Detailed Description

Base class for implementations of Channel.Type.Text.

## Member Typedef Documentation

typedef Callback2<QDBusObjectPath, const QVariantMap&, DBusError*> Tp::BaseChannelTextType::CreateChannelCallback

typedef Callback2<bool, const QVariantMap&, DBusError*> Tp::BaseChannelTextType::EnsureChannelCallback

typedef Callback1<void, QString> Tp::BaseChannelTextType::MessageAcknowledgedCallback

## Constructor & Destructor Documentation

Tp::BaseChannelTextType::~BaseChannelTextType | ( |  | ) |
| virtual

Class destructor.

Tp::BaseChannelTextType::BaseChannelTextType | ( | BaseChannel * | channel | ) |
| protected

Class constructor.

## Member Function Documentation

static BaseChannelTextTypePtr Tp::BaseChannelTextType::create | ( | BaseChannel * | channel | ) |
| inlinestatic

template<typename BaseChannelTextTypeSubclass >

static SharedPtr<BaseChannelTextTypeSubclass> Tp::BaseChannelTextType::create | ( | BaseChannel * | channel | ) |
| inlinestatic

QVariantMap Tp::BaseChannelTextType::immutableProperties | ( |  | ) | const
| virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

void Tp::BaseChannelTextType::setMessageAcknowledgedCallback | ( | const MessageAcknowledgedCallback & | cb | ) |

Tp::MessagePartListList Tp::BaseChannelTextType::pendingMessages | ( |  | ) |

void Tp::BaseChannelTextType::addReceivedMessage | ( | const Tp::MessagePartList & | message | ) |

void Tp::BaseChannelTextType::acknowledgePendingMessages | ( | const Tp::UIntList & | IDs,
|  | DBusError * | error
| ) |  |
| protected

## Member Data Documentation

CreateChannelCallback Tp::BaseChannelTextType::createChannel

EnsureChannelCallback Tp::BaseChannelTextType::ensureChannel

Tp::RequestableChannelClassList Tp::BaseChannelTextType::requestableChannelClasses